# Class SecondaryAlignmentSkippingIterator

java.lang.Object
htsjdk.samtools.SecondaryAlignmentSkippingIterator

Direct Known Subclasses:
  `NotPrimarySkippingIterator`

public class SecondaryAlignmentSkippingIterator extends Object
Wrapper around SAMRecord iterator that skips over secondary elements. This iterator conflates a filtering iterator and a peekable iterator. It would be cleaner to handle those concerns separately.

## Constructor Summary

Constructors
Constructor
Description
`SecondaryAlignmentSkippingIterator(CloseableIterator<SAMRecord> underlyingIt)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`advance()`
`SAMRecord`
`getCurrent()`
`boolean`
`hasCurrent()`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### SecondaryAlignmentSkippingIterator

public SecondaryAlignmentSkippingIterator(CloseableIterator<SAMRecord> underlyingIt)

## Method Details

### hasCurrent

public boolean hasCurrent()

### getCurrent

public SAMRecord getCurrent()

### advance

public boolean advance()